#ifndef _MS933X_EDID_H_
#define _MS933X_EDID_H_

#include "ms933x_comm.h"

// Data Block Tag Codes
#define AUDIO_D_BLOCK                   (0x01)
#define VIDEO_D_BLOCK                   (0x02)
#define VENDOR_SPEC_D_BLOCK             (0x03)
#define SPKR_ALLOC_D_BLOCK              (0x04)
#define VESA_DTC_D_BLOCK                (0x05)
#define USE_EXTENDED_TAG                (0x07)

// Extended Data Block Tag Codes
#define VIDEO_CAPABILITY_D_BLOCK        (0x00)
#define VENDOR_SPEC_VIDEO_D_BLOCK       (0x01)
#define COLORIMETRY_D_BLOCK             (0x05)
#define YUV420_VIDEO_D_BLOCK            (0x0e)
#define YUV420_CAPABILITY_D_BLOCK       (0x0f)
#define CEA_MISC_AUDIO_FIELDS           (0x10)
#define VENDOR_SPEC_AUDIO_D_BLOCK       (0x11)


/***************************************************************
*  Function name:   sys_edid_convert
*  Description:     Convert edid data to MS933x chip stable
*  Entry:           [in]pu8_buf:edid data,const 512byte
                        st_hdmi_edid_flag, refer to HDMI_EDID_FLAG_T
                        edid_convert_sel:
                                          BIT0 for DVI 2HDMI;
                                          BIT1 for audio 2ch;
                                          BIT2 for audio 5ch,
                                          BIT3 for audio 7ch
                                          BIT4 for Deep color,
                                          BIT5 for YUV420 covert;
                                          BIT6 for HDMI 2 DVI
*
*  Returned value:  BOOL (valid is true)
*  Remark: 
***************************************************************/
BOOL sys_edid_convert(UINT8 *pu8_buf, HDMI_EDID_FLAG_T st_hdmi_edid_flag,UINT16 edid_convert_sel);



#endif