#ifndef UART5_H
#define UART5_H

// 在这里设置头文件的内容
#include "ch32v30x.h"
#include "ch32x035_usbpd.h"

// 定义Uart5接口的波特率
#define UART5_BAUDRATE          115200

#define DATA_LEN  2

//little endian
// Head    lenth   cmd      data     crc     end
// 2byte   1byte   1byte   2byte   2byte   1byte
// 5A A5    09     01      01 02   00 00   FF
#pragma pack(push, 1)  // 保存对齐状态，并设定对齐为 1  byte
typedef struct
{
  u8    Head1;                 //frame head1  5A
  u8    Head2;                 //frame head2  A5
  u8    Len;                   //length
  u8    Cmd;                   //cmd
  u8    Data[DATA_LEN];        //data 2
  u16   CRC16;                 //CRC check
  u8    End;                   //frame end 0xFF
}UART2_PACKAGE_TypeDef;
#pragma pack(pop)  // 鎭㈠瀵归綈鐘舵��


void Uart5_GPIO_Init(void);
void SendUart5DataPacket(u8 cmd, u8* data, u8 len);


#endif // UART5_H
