#include "sgm452.h"
#include "uart5.h"

/******************************************************************************************************/
/******************************************************************************************************/
/******************************************************************************************************/



/******************************************************************************************************/
// [2].software IIC1 to SGM452
void SGM452_WriteCmd(u8 cmd)
{
    IIC3_Send_8bitMultiBytes(SGM452_I2C_ADDR, 0x00, &cmd, 1);
}

u16 SGM452_ReadTemperature(void)
{
    u16 rBuf = 0;
    u8 ret = IIC3_Read_8bitMultiBytes(SGM452_I2C_ADDR, 0x00, (u8*)&rBuf, 2);

    if(ret)
    {
        rBuf = rBuf << 4; // 12-bit * 0.0625
        //printf("Read temperature HEX: 0x%04x\n", rBuf);
        if (rBuf & 0x800) {
            rBuf |= 0xF000; // Sign-extend for negative temperature
            rBuf = ~rBuf + 1;
            //float temperature = rBuf * 0.0625;
            //printf("Temper: -%.1f C\n", temperature);
        }
        else {
            //float temperature = rBuf / 16.0;
            //float temperature = rBuf * 0.0625;
            //printf("Temper: %.1f C\n", temperature);
        }
        return rBuf;
    }
    else
    {
        printf("Read SGM452 failed\n");
        return (-1);
    }
}

/**********************************************************************************/
void sgm452_Proc(void)
{
    u16 rBuf = 0;
    rBuf = SGM452_ReadTemperature();
    SendUart5DataPacket(0x11, (u8*)&rBuf, sizeof(rBuf));
    //printf("SGM452_ReadTemperature:%d\n", rBuf);
}
